Page MenuHomePhabricator

SVG: installed fonts not being rendered
Closed, ResolvedPublic

Description

Author: kjoonlee

Description:
Image:Meta SVG fonts.svg contains fonts that are listed at:
http://meta.wikimedia.org/wiki/SVG_fonts

But not all the fonts show up properly in the rendered PNG file.

Sometimes they don't show up, sometimes they show up bold in another typeface (with CJK missing) and sometimes they show up slanted (with CJK missing again).


Version: 1.11.x
Severity: normal
URL: http://commons.wikimedia.org/wiki/Image:Meta_SVG_fonts.svg

Details

Reference
bz10501

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 9:53 PM
bzimport set Reference to bz10501.
bzimport created this task.Jul 8 2007, 5:13 PM

There is another bug in the SVG to PNG conversion done by the WikiCommons
software. Check File:Prokaryote cell diagram-bn.svg . I just translate in
bengali language with a Font SolaimanLipi.ttf(welknown good looking Bengali
font) in svg, but PNG out put shown Font with vrinda.ttf. Please check.
Is it possible to add SolaimanLipi.ttf to coversion list here
http://meta.wikimedia.org/wiki/SVG_fonts

brion added a comment.Aug 3 2009, 4:53 PM

Assigning SVG bugs to Ariel -- need a cleanup pass to see what's fixed up by a librsvg upgrade, what can be resolved with fixes to our font configuration, what can be fixed on our end, and what still needs to be pushed upstream.

EN.WP.ST47 wrote:

I don't know much about SVGs, but I'm looking at a PNG of that next to and SVG rendered on my PC, and the SVG (I have none of those fonts) has them all rendered the same, and the PNG has them all rendered differently - I don't think there are any fonts that are not rendered correctly in the PNG. I'm tentatively marking this fixed, please correct me if I'm blind.

Gilles raised the priority of this task from Normal to Unbreak Now!.Dec 4 2014, 10:25 AM
Gilles added a project: Multimedia.
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Normal.Dec 4 2014, 11:21 AM
Restricted Application added a project: Commons. · View Herald TranscriptDec 13 2016, 10:23 AM
Restricted Application added a subscriber: Matanya. · View Herald Transcript